int Confronto(){
	
	TFile *mydata = new TFile("DataAnalized/MinBias_ReReco_336p3_RECO_900GeV_jetnocorr_H.root");
	TFile *lukdata = new TFile("LukData/cands_new_signal.root"); 
	
	
	// hqsch
	myhqsch = (TH1D*)mydata->Get("hqsch");
	lukhqsch = (TH1D*)lukdata->Get("hqsch");

	TH1D *hqsch_r = new TH1D(*myhqsch);
	hqsch_r->Add(lukhqsch,-1);

	// hqdch
	myhqdch = (TH1D*)mydata->Get("hqdch");
	lukhqdch = (TH1D*)lukdata->Get("hqdch");
	
	TH1D *hqdch_r = new TH1D(*myhqdch);
	hqdch_r->Add(lukhqdch,-1);
	
	// hqosch
	myhqosch = (TH1D*)mydata->Get("hqosch");
	lukhqosch = (TH1D*)lukdata->Get("hqosch");
	
	TH1D *hqosch_r = new TH1D(*myhqosch);
	hqosch_r->Add(lukhqosch,-1);
	
	// hqodch
	myhqodch = (TH1D*)mydata->Get("hqodch");
	lukhqodch = (TH1D*)lukdata->Get("hqodch");
	
	TH1D *hqodch_r = new TH1D(*myhqodch);
	hqodch_r->Add(lukhqodch,-1);
	
	// hqotsch
	myhqotsch = (TH1D*)mydata->Get("hqotsch");
	lukhqotsch = (TH1D*)lukdata->Get("hqotsch");
	
	TH1D *hqotsch_r = new TH1D(*myhqotsch);
	hqotsch_r->Add(lukhqotsch,-1);

	
	TFile *mydatamc = new TFile("DataAnalized/MinBias_Summer09_STARTUP3X_V8K_900GeV_jetnocorr_H.root");
	TFile *lukdatamc = new TFile("LukData/cands_900GeV_MC.root"); 
	
	
	// hmixmsc
	myhmixmsc = (TH1D*)mydatamc->Get("hqschnc");
	lukhmixmsc = (TH1D*)lukdatamc->Get("hqsch");
	
	TH1D *hmixmsc_r = new TH1D(*myhmixmsc);
	hmixmsc_r->Add(lukhmixmsc,-1);
	
	TCanvas *c1 = new TCanvas();
	c1->Divide(3,2);
	c1->cd(1);
	hqsch_r->Draw("HIST");
	//TCanvas *c2 = new TCanvas();
	c1->cd(2);
	hqdch_r->Draw("HIST");
	//TCanvas *c3 = new TCanvas();
	c1->cd(3);
	hqosch_r->Draw("HIST");
	//TCanvas *c4 = new TCanvas();
	c1->cd(4);
	hqodch_r->Draw("HIST");
	//TCanvas *c5 = new TCanvas();
	c1->cd(5);
	hqotsch_r->Draw("HIST");
	//myhmixmsc->Draw("HIST");
	c1->cd(6);
	hmixmsc_r->Draw("HIST");
	
	
}
