{
TCanvas* c1=new TCanvas();
c1->Divide(3,2);


TFile *myfile_eta_mix=new TFile("DataAnalized/EventMixerE.root") ;
TFile *franco_eta_mix=new TFile("LukData/EtaMultData.root"); 

TH1F* mygraf_eta = (TH1F*) myfile_eta_mix->Get("hmixmsc");
TH1F* franco_eta = (TH1F*) franco_eta_mix->Get("QmixSameCharge");

franco_eta->SetTitle("eta mix");
 franco_eta->Add(mygraf_eta,-1);
c1->cd(1);
/*
c1->GetPad(1)->SetLogy();
c1->GetPad(1)->SetLogx();*/

franco_eta->Draw("hist");
//mygraf_eta->Draw("samehist");

TFile *myfile_mass_mix=new TFile("DataAnalized/EventMixerM.root") ;
TFile *franco_mass_mix=new TFile("LukData/MassMixData.root"); 

TH1F* mygraf_mass = (TH1F*) myfile_mass_mix->Get("hmixmsc");
TH1F* franco_mass = (TH1F*) franco_mass_mix->Get("QmixSameCharge");
franco_mass->SetTitle("mass mix");
 franco_mass->Add(mygraf_mass,-1);

c1->cd(2);
franco_mass->Draw("hist"); /*
mygraf_mass->Draw("samehist");*/


TFile *myfile_random_mix=new TFile("DataAnalized/EventMixerR.root") ;
TFile *franco_random_mix=new TFile("LukData/RandomData.root");

TH1F* mygraf_random = (TH1F*) myfile_random_mix->Get("hmixmsc");
TH1F* franco_random = (TH1F*) franco_random_mix->Get("QmixSameCharge");

franco_random->SetTitle("random mix");
franco_random->Add(mygraf_random,-1);

c1->cd(3);
franco_mass->Draw("hist");
//mygraf_mass->Draw("samehist");

TFile *myfile_eta_mc_mix=new TFile("DataAnalized/EventMixermcE.root") ;
TFile *franco_eta_mc_mix=new TFile("LukData/EtaMultMixMC.root"); 

TH1F* mygraf_eta_mc = (TH1F*) myfile_eta_mc_mix->Get("hmixmsc");
TH1F* franco_eta_mc = (TH1F*) franco_eta_mc_mix->Get("QmixSameCharge");

franco_eta_mc->Add(mygraf_eta_mc,-1);
franco_eta_mc->SetTitle("eta mix mc");
c1->cd(4);
franco_eta_mc->Draw("hist");
//mygraf_eta_mc->Draw("samehist");


TFile *myfile_mass_mc_mix=new TFile("DataAnalized/EventMixermcM.root") ;
TFile *franco_mass_mc_mix=new TFile("LukData/MassMixMC.root"); 

TH1F* mygraf_mass_mc = (TH1F*) myfile_mass_mc_mix->Get("hmixmsc");
TH1F* franco_mass_mc = (TH1F*) franco_mass_mc_mix->Get("QmixSameCharge");

franco_mass_mc->Add(mygraf_mass_mc,-1);
franco_mass_mc->SetTitle("mass mix mc");
c1->cd(5);
franco_mass_mc->Draw("hist");
//mygraf_mass_mc->Draw("samehist");

TFile *myfile_random_mc_mix=new TFile("DataAnalized/EventMixermcR.root") ;
TFile *franco_random_mc_mix=new TFile("LukData/RandomMixMC.root");

TH1F* mygraf_random_mc = (TH1F*) myfile_random_mc_mix->Get("hmixmsc");
TH1F* franco_random_mc = (TH1F*) franco_random_mc_mix->Get("QmixSameCharge");


franco_random_mc->Add(mygraf_random_mc,-1);
franco_random_mc->SetTitle("random mix mc");
c1->cd(6);
franco_random_mc->Draw("hist");
//mygraf_random_mc->Draw("samehist");

}
