#include <TH1F.h>
#include <TFile.h>

using namespace std;


DrawRapMc(){
	TFile *f = new TFile("EventMixermc.root");
	TH1F *signalhist=dynamic_cast< TH1F *>(f->Get("Signal")) ;
	TH1F *refhist=dynamic_cast< TH1F *>(f->Get("Reference")) ;
	TFile *g = new TFile("EventMixermc_g.root","RECREATE");
	TH1F *signref = new TH1F(*signalhist);
	signref->Divide(refhist);
	signref->SetTitle("Signal/Reference Montecarlo");
	signref->SetName("SignalReferenceMC");
	signref->Draw();
	g->cd();
	signref->Write();
	
	
}
