#ifndef EtaMix_h
#define EtaMix_h

#include "EventMixer.h"

class EtaMix: public EventMixer {
	
public:
	EtaMix(); // Creatore della classe
	Double_t ComputeEventWeight(); // Calcolo del peso usato dell'event mixer
	~EtaMix();  // Distruttore
	void multianalisis( const TLorentzVector &p1, const TLorentzVector &p2  , int &ChargeP1,int &ChargeP2, int SizeEv1 ,int SizeEv2 ,int evid);
	

private:
	Double_t Encode( int w );
	TH1D* hnFwd; // Grafici per vedere il comportamento di eta
	TH1D* hnBkw;
	TH1D* hnCtr;
	TH1D* hnTotGood;
	TH2D* henc;
	static const int nbins = 10 ;
};

#endif
