#include "MassMix.h"


Double_t MassMix::ComputeEventWeight() // compute mass of event
{
	TLorentzVector Evt4V(0,0,0,0) ;
	for( unsigned int i=0 ; i< GoodTrackFourVector->size() ; i++ ) 
    {
		Evt4V += GoodTrackFourVector->at(i) ;
    }
	//cout << " size " << GoodTrackFourVector->size() << " mass " << Evt4V.Mag();
	// Hfill((char*)"MassVsN",Evt4V.Mag(),400,0.,400.,(Double_t)GoodTrackFourVector->size(),100,0.,100.,1.) ;
	MassVsN->Fill(Evt4V.Mag(),(Double_t)GoodTrackFourVector->size());
	return Evt4V.Mag() ;
}

MassMix::MassMix(){
	MassVsN = new TH2D("MassVsN","MassVsN",400,0.,400.,100,0.,100.);
}

MassMix::~MassMix(){
	outgraph->cd();
	MassVsN->Write();
	//delete MassVsN;
}

void MassMix::multianalisis( const TLorentzVector &p1, const TLorentzVector &p2  , int &ChargeP1,int &ChargeP2, int SizeEv1 ,int SizeEv2 ,int evid){
defaultmultianalisis(p1,p2,ChargeP1,ChargeP2,SizeEv1 ,SizeEv2 ,evid);
};

