#include "RandomMix.h"

RandomMix::RandomMix() { SphVsNtk = new TH2D("SphVsNtk","SphVsNtk",100,0.,100.,100,0.,1.);

RandomMix::~RandomMix() 
{ 
  //  double frac = 0.01 ;
  //  RankEvents( nTotTracks,frac ) ; 
  SphVsNtk->Write() ; 
}

Double_t RandomMix::ComputeEventWeight() // ritorna l'indice come variabile casuale
{
  double n = min(99.,(double) GoodTrackFourVector->size()) ;
  nTotTracks->Fill( n ) ;
  return  EventId;
}


// ======================================================================
void RandomMix::multianalisis( const TLorentzVector &p1, const TLorentzVector &p2  , int &ChargeP1,int &ChargeP2, int SizeEv1 ,int SizeEv2 ,int evid){
defaultmultianalisis(p1,p2,ChargeP1,ChargeP2,SizeEv1 ,SizeEv2 ,evid);
}

// ======================================================================
void RandomMix::RankEvents( TH1D *h, double f ) 
{
  cout << " Rank Events Based on " << h->GetName() << endl ;

  int nbin(0) ;
  double threshold = f*h->GetSum() ;
  double x(0),range[1000] ;
  range[0] = h->GetBinLowEdge(1) ;
  for( int i = 1 ; i < h->GetNbinsX() ; i++ )
    {
      x += h->GetBinContent(i) ;
      if( i < 5 || x>threshold ) 
	{
	  range[nbin++] = h->GetBinLowEdge( i ) ; 
	  cout << i << " " << nbin << " " << x << " " << threshold << " " << range[nbin-1] << endl ;
	  x = 0 ;
	}
    }
  range[nbin++] = h->GetBinLowEdge( h->GetNbinsX()-1 ) + h->GetBinLowEdge( h->GetBinWidth( h->GetNbinsX()-1 ) )  ;
  cout << h->GetBinLowEdge( h->GetNbinsX()-1 ) << " " << nbin << " " << x << " " << threshold << " " << range[nbin-1] << endl ;
}
