#ifndef RandomMix_h
#define RandomMix_h

#include "EventMixer.h"

// Questa classe ritorna come peso per l'ordinamento l'indice
// assegnato all'evento. Dato che gli eventi sono scorrelati nel
// tempo questo puo' essere considerato un possibile valore casuale.


class RandomMix: public EventMixer {

public:
        RandomMix() ;
	Double_t ComputeEventWeight(); // Calcolo del peso usato dell'event mixer
	void multianalisis( const TLorentzVector &p1, const TLorentzVector &p2  , int &ChargeP1,int &ChargeP2, int SizeEv1 ,int SizeEv2 ,int evid);
	void RankEvents( TH1D* h, double frac ) ;
	~RandomMix() ;
private:
	TH1D* nTotTracks ;
};

#endif
