#ifndef MassMix_h
#define MassMix_h

#include "EventMixer.h"
#include <TH2D.h>

class MassMix: public EventMixer {

public:
	
	MassMix(); // Creatore della classe
	~MassMix(); // Distruttore della classe 
	Double_t ComputeEventWeight(); // Calcolo del peso usato dell'event mixer
	void multianalisis( const TLorentzVector &p1, const TLorentzVector &p2  , int &ChargeP1,int &ChargeP2, int SizeEv1 ,int SizeEv2 ,int evid);
	
private:
	TH2D *MassVsN; // Grafico per valutare la distribuzione in massa con la molteplicita' di traccia
};

#endif
