#ifndef SphereMix_h
#define SphereMix_h

#include "EventMixer.h"
#include <TMatrixDSym.h>
#include <TMatrixDSymEigen.h> 


class SphereMix: public EventMixer {

public:
	SphereMix(); // Creatore
	~SphereMix(); // Distruttore
	
	Double_t ComputeEventWeight(); // Calcolo del peso usato dell'event mixer
	void multianalisis( const TLorentzVector &p1, const TLorentzVector &p2  , int &ChargeP1,int &ChargeP2, int SizeEv1 ,int SizeEv2 ,int evid);
	
	
	
private:
	TH2D *SphereVsN; // Grafico di distribuzione della sfericita' con la molteplicita' di traccia
	TH1D *Sphere; // Grafico di distribuzione della sfericita'
};

#endif
